Subject: bug#43858: 28.0.50; [feature/native-comp] Missing eln cache not created

From: Andrea Corallo <[email-masked]>
Date: Thu, 08 Oct 2020 07:42:25 +0000

Andrew Whatson <[email-masked]> writes:

> After removing ~/.emacs.d/eln-cache, running "emacs -q" starts up with
> the error "native-compile-async: Wrong type argument: stringp, nil".
> This is caused by `comp-el-to-eln-filename' returning nil due to no
> writeable eln cache directory being found.
>
> I think we should attempt to create the cache directories if they're
> missing, and have a better error if there is *really* no writeable
> cache directory.

Hi Andrew,

agree, that's acutally what we have been doing before I broke it two
days ago with 4a1bb46260 :)

c3bc348f5e * Fix failure when eln-cache is removed (introduced by 4a1bb46260)

fix this for me. Could you please confirm?

Thanks

  Andrea